function [f] = calculatePartialObjective(Y,Z,C,options)
    if options.innersolver==10
        f = (Y'*Z) - (0.25/C)*(Z'*Z);
    elseif options.innersolver==11
        f = (Y'*Z);
    elseif options.innersolver==12
        f = (Y'*Z) - (0.25/C)*(Z'*Z) - options.innerepsilonsvr*norm(Z,1);
    elseif options.innersolver==13
        f = (Y'*Z) - options.innerepsilonsvr*norm(Z,1);
    elseif options.innersolver==14
        f = (Y'*Z) - (0.25/C)*(Z'*Z);
    end
end