function projd = myproj(d, options)
    [m, n] = size(d.S);
    
    dnew = zeros(m+1, n+1);
    dnew(2:end, 1) = d.z(1:m);
    dnew(end, 1: n) = d.z(m: end);
    dnew(1:m,2:end) = -d.S;
    
    projdnew = dualhankelprojection(dnew, options);% BM: okay.
    
    projd.z = zeros(m + n -1, 1);
    projd.z(1:m) = projdnew(2:end,1);
    projd.z(m:end) = projdnew(end, 1: n);
    projd.S = -projdnew(1:m, 2:end);
end
