function [XZ, UtXZ, traceYtZ, traceZtZ, Q_task] = mtfl_squareLoss_dual_get_Z(U,C,data_train)
    Ut = U.';
    T = length(data_train);
    d = size(U,1);
    r = size(U,2);
    XZ = nan(d,T);
    UtXZ = nan(r,T);
    Q_task = cell(T,1);
    traceYtZ = 0;
    traceZtZ = 0;
    const1 = 2*C;
    const2 = 1/const1;
    const3 = eye(r)*const2;
    for t=1:T
        X_task = data_train(t).X';
        temp1 = Ut*X_task;
        Q_task{t} = temp1;
        y_task = data_train(t).y;
        z_task = const1*(y_task - temp1'*((const3 + temp1*temp1')\(temp1*y_task)));
        traceZtZ = traceZtZ + z_task'*z_task;
        traceYtZ = traceYtZ + y_task'*z_task;
        temp = X_task*z_task;
        XZ(:,t) = temp;
        UtXZ(:,t) = Ut*temp;
    end
end
