function [XZdot] = mtfl_squareLoss_dual_get_Zot(U,C,data_train,Udot,XZ, UtXZ,Q_task)
    T = length(data_train);
    d = size(U,1);
    r = size(U,2);
    const1 = 2*C;
    const2 = 1/const1;
    const3 = eye(r)*const2;
    XZdot = nan(d,T);
    for t=1:T
        X_task = data_train(t).X';
        temp1 = Q_task{t};
        ytilde_task = -(temp1'*Udot'*XZ(:,t) + X_task'*Udot*UtXZ(:,t));
        zdot_task = const1*(ytilde_task - temp1'*((const3 + temp1*temp1')\(temp1*ytilde_task)));
        XZdot(:,t) = X_task*zdot_task;
    end
end